Get a network by id
curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/networks/{networkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/networks/{networkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/networks/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lynkwell.com/asset-management/v1/networks/{networkId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lynkwell.com/asset-management/v1/networks/{networkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lynkwell.com/asset-management/v1/networks/{networkId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lynkwell.com/asset-management/v1/networks/{networkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"productOfferings": [
{
"name": {
"en_US": "<string>",
"es_US": "<string>"
},
"currency": "<string>",
"pricingDetails": [
{
"type": "MONTHLY",
"value": 123,
"isPrivate": true
}
],
"description": {
"en_US": "<string>",
"es_US": "<string>"
},
"features": {
"en_US": [
"<string>"
],
"es_US": [
"<string>"
]
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contactDetails": {
"phone": "<string>",
"website": "<string>",
"email": "<string>"
},
"enrolledServices": {
"billing": {
"finishedOnboarding": true
},
"ticketing": {},
"email": {},
"ocpi": {
"roles": [
"CPO"
]
},
"installerJourney": {},
"plugAndCharge": {},
"guestCharging": {
"connectedAccountId": "<string>",
"convenienceFeeInCents": 123,
"currency": "<string>"
},
"energyManagement": {},
"mobile": {
"appName": "<string>",
"iosStoreUrl": "<string>",
"androidStoreUrl": "<string>"
}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>",
"billingMode": "LEGACY",
"type": "FLEET",
"siteManagerMfaRequired": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Networks
Get a network by id
Returns a network. A caller whose token carries a network claim can only read its own network; any other id answers 404.
GET
/
asset-management
/
v1
/
networks
/
{networkId}
Get a network by id
curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/networks/{networkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/networks/{networkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/networks/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lynkwell.com/asset-management/v1/networks/{networkId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lynkwell.com/asset-management/v1/networks/{networkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lynkwell.com/asset-management/v1/networks/{networkId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lynkwell.com/asset-management/v1/networks/{networkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"productOfferings": [
{
"name": {
"en_US": "<string>",
"es_US": "<string>"
},
"currency": "<string>",
"pricingDetails": [
{
"type": "MONTHLY",
"value": 123,
"isPrivate": true
}
],
"description": {
"en_US": "<string>",
"es_US": "<string>"
},
"features": {
"en_US": [
"<string>"
],
"es_US": [
"<string>"
]
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contactDetails": {
"phone": "<string>",
"website": "<string>",
"email": "<string>"
},
"enrolledServices": {
"billing": {
"finishedOnboarding": true
},
"ticketing": {},
"email": {},
"ocpi": {
"roles": [
"CPO"
]
},
"installerJourney": {},
"plugAndCharge": {},
"guestCharging": {
"connectedAccountId": "<string>",
"convenienceFeeInCents": 123,
"currency": "<string>"
},
"energyManagement": {},
"mobile": {
"appName": "<string>",
"iosStoreUrl": "<string>",
"androidStoreUrl": "<string>"
}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>",
"billingMode": "LEGACY",
"type": "FLEET",
"siteManagerMfaRequired": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}